package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.Province;

/**
 * 省份管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface ProvinceManager extends BaseManager{
			//添加省份
			@Transactional
			void saveProvince(Province p);
				
			//删除省份
			@Transactional
			void deleteProvince(List<Long> ids);
			
			//失效
			@Transactional
			void ProvinceInvalid(List<Long> ids);
				
			//恢复
			@Transactional
			void Provincerestore(List<Long> ids);
}
